* {
  padding: 0px;
  margin: 0px;
}
body {
  background: #f7f7f7;
}
a {
  color: inherit;
  text-decoration: none;
}
h1 {
  font-family: 'Poppins', sans-serif;
  font-size: 40px;
  color: #616161;
  padding: 10px 0px 10px 0px;
  margin: 10px 0px 10px 0px;
}
h2 {
  font-family: 'Poppins', sans-serif;
  font-weight: bold;
}
button {
  width: 100%;
  margin-bottom: 50px;
  padding: 20px 20px;
  text-align: center;
  font-family: 'Open Sans Condensed', sans-serif;
  font-size: 30px;
  background: #1f84ff;
  color: #f7f7f7;
  cursor: pointer;
}

button:hover {
  background: #251d6d;
}
#fixed-nav {
  width: 100%;
  height: 40px;
  position: fixed;
  z-index: 500;
  margin-bottom: 50px;
  background: #009de6;
  color: #f7f7f7;
}
#fixed-nav p {
  font-family: 'Open Sans Condensed', sans-serif;
  padding: 10px 50px 0px 0px;
  text-align: center;
}
#hamburger-icon {
  font-size: 40px;
  padding: 0px 20px 0px 5px;
  float: left;
  cursor: pointer;
}
header {
  width: 100%;
  margin: auto;
  padding-top: 50px;
  overflow: hidden;
}
#desktop-nav {
  display: none;
}
#toggle-menu {
  position: fixed;
  overflow-y: auto;
  top: 40px;
  z-index: 500;
  width: 250px;
  height: 100%;
  left: -250px;
  background: #009de6;
  color: #f7f7f7;
  font-family: 'Poppins', sans-serif;
  transition: all ease-in-out 500ms;
  -webkit-transition: all ease-in-out 500ms;
  -moz-transition: all ease-in-out 500ms;
  -o-transition: all ease-in-out 500ms;
}
#toggle-menu li {
  margin: 50px 0px 50px 5px;
  cursor: pointer;
}
#logo {
  height: 100px;
  width: 300px;
  display: block;
  margin: auto;
  padding: 10px 0px 10px 0px;
}
header h1 {
  width: 75%;
  margin: auto;
  border-bottom: solid #251d6d 1px;
  padding: 20px 20px;
  font-family: 'Open Sans Condensed', sans-serif;
  text-align: center;
}
header ul {
  font-family: 'Open Sans Condensed', sans-serif;
}
header li {
  padding: 0px;
  margin: 10px 0px 10px 0px;
  cursor: pointer;
}

#main {
  margin-top: 50px;
}
#main h2 {
  margin-bottom: 20px;
  padding-left: 5px;
}
#main p {
  padding: 0px 0px 0px 5px;
  font-family: 'Poppins', sans-serif;
  line-height: 1.5;
}
#main ul {
  width: 75%;
  padding: 0px 0px 0px 20px;
  margin: 10px 0px 50px 5px;
  font-family: 'Poppins', sans-serif;
  font-size: 12px;
  line-height: 1.3;
  color: #616161;
}
#main ul li {
  padding: 10px 10px;
}
.map {
  height: 300px;
  width: 100%;
  margin-bottom: 20px;
  z-index: -10;
}

#contact-info {
  color: #616161;
  margin-bottom: 50px;
}
span {
  font-weight: bold;
  font-style: italic;
  color: #1f84ff;
}

footer {
  width: 100%;
  margin: 100px auto 0px auto;
  background: #616161;
  color: #f7f7f7;
  text-align: center;
}
footer p {
  font-family: 'Poppins', sans-serif;
  padding: 20px 0px 0px 0px
}
footer #copywrite {
  padding: 50px 10px 50px 10px;
  font-size: 10px;
}

@media only screen and (min-width: 650px) {

  button {
    width: 50%;
    border-radius: 5px;
  }
  #main {
    text-align: center;
  }
  #contact-info {
    max-width: 50%;
    text-align: left;
    margin: 0px auto 50px auto;
  }
  .map {
    max-width: 75%;
    margin: 50px auto 30px auto;
  }
  #main ul {
    max-width: 75%;
    text-align: left;
    margin: 10px auto 50px auto;
  }

}

@media only screen and (min-width: 1000px) {

  p {
    text-align: left;
  }
  button {
    width: 40%;
  }
  header {
    display: grid;
    width: 100%;
    margin: auto;
    padding-top: 10px;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-rows: auto;
    overflow: visible;
 }
 header h1 {
  grid-area: 1 / 2 / 2 / 5;
  text-align: left;
  padding: 0px 0px 0px 70px;
  margin: 30px 0px 0px 0px;
  border-bottom: none;
  }
  #logo {
    grid-area: 1 / 1 / 2 / 2;
    padding: 0px;
    margin: 0px;
  }
  #fixed-nav {
    display: none;
  }
  #mobile-nav {
    display: none;
  }
  #desktop-nav {
    width: 80%;
    position: relative;
    margin: 50px auto auto auto;
    padding: 0px;
    z-index: 500;
    grid-area: 3 / 1 / 4 / 5;
    display: block;
    border-top: solid 1px #009de6;
    border-radius: 5px;
    transition: all ease-in-out 500ms;
    -webkit-transition: all ease-in-out 500ms;
    -moz-transition: all ease-in-out 500ms;
    -o-transition: all ease-in-out 500ms;
  }

  #nav-container {
    width: 100%;
    height: 100%;
    margin: auto;
    text-align: center;
  }

  #nav-container .desktop-link {
    position: relative;
    font-size: 23px;
    display: inline;
    padding: 0px 10px 0px 10px;

  }
  #nav-container .desktop-link :hover {
    border-bottom: solid 1px #009de6;

  }
  .dropdown-menu {
    position: absolute;
    padding: 20px 0px 20px 0px;
    width: 100%;
    background: #009de6;
    color: #f7f7f7;
    z-index: 500;
    opacity: 0;
    top: 31px;
    left: 0px;
    transition: all ease-in-out 400ms;
    -webkit-transition: all ease-in-out 400ms;
    -moz-transition: all ease-in-out 400ms;
    -o-transition: all ease-in-out 400ms;
  }
  .dropdown-menu li {
    padding: 10px 0px 10px 0px;
    text-decoration: none;
  }
  .dropdown-menu li :hover {
    text-decoration: underline;
  }
  .dropdown-menu a {
    display: none;
  }
 #toggle-menu {
   display: none;
 }

  #main {
    max-width: 90%;
    margin: 50px auto 0px auto;
    text-align: right;
  }
  #main h2 {
    text-align: center;
    margin: 40px 40px;
  }
  #main ul {
    margin: 20px auto 0px auto;
    font-size: 14px;

  }
  #main p {
    font-size: 18px;
    line-height: 1.8;
  }
  .map {
    float: right;
    width: 55%;
    height: 400px;
    margin: 0px 0px 20px 20px;
  }
  #contact-info {
    margin: 50px 0px 0px 0px;
}

  footer p {
    text-align: center;
  }
}

@media only screen and (min-width: 1200px) {

h1 {
  font-size: 50px;
}
p {
  font-size: 18px;
}

button {
  margin-left: 50px;
  margin-top: 20px;
}
#desktop-nav li {
  margin: 0px 20px 0px 20px;
  font-size: 22px
}
#logo {
  padding-left: 100px;
}
#main {
  width: 80%;
}
#main ul {
  margin: 30px 0px 0px 0px;
}

footer {
  margin-top: 100px;
}

}
